#config RTT
CONFIG_LOG=y
CONFIG_LOG_PRINTK=y
# CONFIG_LOG_MODE_DEFERRED=y
CONFIG_SERIAL=n
CONFIG_UART_CONSOLE=n
CONFIG_USE_SEGGER_RTT=y
CONFIG_CONSOLE=y
CONFIG_RTT_CONSOLE=y
CONFIG_LOG_BACKEND_RTT=y
CONFIG_LOG_BACKEND_UART=n
CONFIG_SEGGER_RTT_BUFFER_SIZE_UP=25000
# CONFIG_LOG_BUFFER_SIZE=4096
CONFIG_LOG_DEFAULT_LEVEL=3
# CONFIG_WIFI_NM_WPA_SUPPLICANT=y
# CONFIG_EARLY_CONSOLE=y

# CONFIG_NETWORKING=y
# CONFIG_TEST_RANDOM_GENERATOR=y

# CONFIG_MAIN_STACK_SIZE=20000
# CONFIG_SHELL_STACK_SIZE=5200
# CONFIG_NET_TX_STACK_SIZE=2048
# CONFIG_NET_RX_STACK_SIZE=2048

# CONFIG_NET_PKT_RX_COUNT=10
# CONFIG_NET_PKT_TX_COUNT=10
# CONFIG_NET_BUF_RX_COUNT=20
# CONFIG_NET_BUF_TX_COUNT=20
# CONFIG_NET_MAX_CONTEXTS=10
# CONFIG_NET_DHCPV4=y

# CONFIG_NET_IPV4=y
# CONFIG_NET_IPV6=y

# CONFIG_NET_TCP=y

# CONFIG_NET_LOG=y
# CONFIG_INIT_STACKS=y

# CONFIG_NET_SHELL=y

# CONFIG_NET_STATISTICS=y
# CONFIG_NET_STATISTICS_PERIODIC_OUTPUT=n

# CONFIG_WIFI=y
# CONFIG_WIFI_NRF70=y
# CONFIG_WIFI_LOG_LEVEL_ERR=y
# CONFIG_NET_L2_WIFI_SHELL=y

# CONFIG_MBEDTLS_ENABLE_HEAP=y
# CONFIG_MBEDTLS_HEAP_SIZE=70000

# # printing of scan results puts pressure on queues in new locking
# # design in net_mgmt. So, use a higher timeout for a crowded
# # environment.
# CONFIG_NET_MGMT_EVENT_QUEUE_TIMEOUT=5000
# CONFIG_NET_MGMT_EVENT_QUEUE_SIZE=16

# CONFIG_WIFI_NM_WPA_SUPPLICANT_CRYPTO_ENTERPRISE=y
# # Use variable data size to reduce memory usage for small data packets
# CONFIG_NET_BUF_VARIABLE_DATA_SIZE=y
# # For TLS and X.509 processing MbedTLS needs large heap size and using separate heap
# # for MbedTLS gives us more control over the heap size.
# CONFIG_MBEDTLS_ENABLE_HEAP=y
# CONFIG_MBEDTLS_HEAP_SIZE=70000

# CONFIG_NET_PKT_RX_COUNT=12
# CONFIG_NET_PKT_TX_COUNT=12
# CONFIG_NET_BUF_RX_COUNT=36
# CONFIG_NET_BUF_TX_COUNT=36

# # Need default heap by driver and hostap which is higher than prj.conf
# CONFIG_HEAP_MEM_POOL_IGNORE_MIN=n
# CONFIG_SHELL_STACK_SIZE=10000

# ########
# CONFIG_WIFI=y
# CONFIG_WIFI_NRF700X=y
# CONFIG_NET_L2_WIFI_MGMT=y
# # WPA supplicant
# # CONFIG_WIFI_NM_WPA_SUPPLICANT=y
# # CONFIG_NET_L2_WIFI_SHELL=y

# # Networking
# CONFIG_NETWORKING=y
# CONFIG_NET_SOCKETS=y
# CONFIG_NET_LOG=y
# CONFIG_NET_IPV6=y
# CONFIG_NET_IPV4=y
# CONFIG_NET_UDP=y
# CONFIG_NET_TCP=y
# CONFIG_NET_DHCPV4=y
# CONFIG_DNS_RESOLVER=y

# CONFIG_NET_STATISTICS=y
# CONFIG_NET_STATISTICS_WIFI=y
# CONFIG_NET_STATISTICS_USER_API=y

# CONFIG_NET_PKT_RX_COUNT=8
# CONFIG_NET_PKT_TX_COUNT=8

# # Below section is the primary contributor to SRAM and is currently
# # tuned for performance, but this will be revisited in the future.
# CONFIG_NET_BUF_RX_COUNT=16
# CONFIG_NET_BUF_TX_COUNT=16
# CONFIG_NRF70_RX_NUM_BUFS=16
# CONFIG_NRF70_MAX_TX_AGGREGATION=4
# # nRF700x is main consumer: (16 + 8) * 1600 = ~40KB + ~40KB control path (experimental)
# CONFIG_HEAP_MEM_POOL_SIZE=100000
# CONFIG_HEAP_MEM_POOL_IGNORE_MIN=y
# CONFIG_NET_TC_TX_COUNT=1

# CONFIG_NET_IF_UNICAST_IPV6_ADDR_COUNT=4
# CONFIG_NET_IF_MCAST_IPV6_ADDR_COUNT=5
# CONFIG_NET_MAX_CONTEXTS=5
# CONFIG_NET_CONTEXT_SYNC_RECV=y

# CONFIG_INIT_STACKS=y

# CONFIG_NET_L2_ETHERNET=y
# # CONFIG_NET_SHELL=y

# # Memories
# CONFIG_MAIN_STACK_SIZE=5200
# # CONFIG_SHELL_STACK_SIZE=5200

# CONFIG_NET_TX_STACK_SIZE=4096
# CONFIG_NET_RX_STACK_SIZE=4096

# # Debugging
# CONFIG_STACK_SENTINEL=y
# CONFIG_DEBUG_COREDUMP=y
# CONFIG_DEBUG_COREDUMP_BACKEND_LOGGING=y
# CONFIG_DEBUG_COREDUMP_MEMORY_DUMP_MIN=y
# CONFIG_SHELL_CMDS_RESIZE=n
# #CONFIG_DEBUG=y
# CONFIG_WIFI_NM_WPA_SUPPLICANT_LOG_LEVEL_INF=y

# # Kernel options
# CONFIG_ENTROPY_GENERATOR=y
# CONFIG_REBOOT=y

# # Logging
# CONFIG_LOG=y
# CONFIG_PRINTK=y
# CONFIG_SHELL=y
# CONFIG_SHELL_GETOPT=y
# CONFIG_DEVICE_SHELL=y
# CONFIG_POSIX_CLOCK=y
# CONFIG_DATE_SHELL=y
# CONFIG_NET_CONFIG_AUTO_INIT=n
# CONFIG_POSIX_API=y

# # CONFIG_WIFI_MGMT_EXT=y
# # CONFIG_WIFI_CREDENTIALS=y
# # CONFIG_FLASH=y
# # CONFIG_FLASH_PAGE_LAYOUT=y
# # CONFIG_FLASH_MAP=y
# # CONFIG_NVS=y
# # CONFIG_SETTINGS=y
# # CONFIG_SETTINGS_NVS=y

# # printing of scan results puts pressure on queues in new locking
# # design in net_mgmt. So, use a higher timeout for a crowded
# # environment.
# CONFIG_NET_MGMT_EVENT_QUEUE_TIMEOUT=5000
# CONFIG_NET_SOCKETS_POLL_MAX=12
# CONFIG_NET_MGMT_EVENT_QUEUE_SIZE=16

# CONFIG_NET_CONNECTION_MANAGER=y
# CONFIG_WIFI_INIT_PRIORITY=80

#WIFI
CONFIG_WIFI=y
CONFIG_WIFI_NRF70=y
CONFIG_NET_L2_WIFI_MGMT=y
CONFIG_HEAP_MEM_POOL_SIZE=25000
# CONFIG_NRF_WIFI_LOW_POWER=y
# System settings
CONFIG_NEWLIB_LIBC=y

# Networking
CONFIG_NETWORKING=y
CONFIG_NET_L2_ETHERNET=y
CONFIG_NET_NATIVE=n
CONFIG_NET_OFFLOAD=y

CONFIG_INIT_STACKS=y

# Memories
CONFIG_MAIN_STACK_SIZE=10000
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=10000
# CONFIG_MAIN_STACK_SIZE=3000
# CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=3000

# # Debugging
# CONFIG_STACK_SENTINEL=y
# CONFIG_DEBUG_COREDUMP=y
# CONFIG_DEBUG_COREDUMP_BACKEND_LOGGING=y
# CONFIG_DEBUG_COREDUMP_MEMORY_DUMP_MIN=y

# Logging
CONFIG_LOG=n
CONFIG_PRINTK=y
# If below config is enabled, printk logs are
# buffered. For unbuffered messages, disable this.
CONFIG_LOG_PRINTK=y

# printing of scan results puts pressure on queues in new locking
# design in net_mgmt. So, use a higher timeout for a crowded
# environment.
CONFIG_NET_MGMT_EVENT_QUEUE_TIMEOUT=5000

# CONFIG_DK_LIBRARY=y

#### MQTT
# Common configurations for all boards

CONFIG_WIFI_CREDENTIALS_STATIC=n
# CONFIG_MQTT_SAMPLE_TRANSPORT_SUBSCRIBE_TOPIC
# CONFIG_WIFI_CREDENTIALS_STATIC_SSID="ProMOS_OA3_5G"
# CONFIG_WIFI_CREDENTIALS_STATIC_PASSWORD="0357983080" 

# CONFIG_WIFI_CREDENTIALS_STATIC_SSID="allen"
# CONFIG_WIFI_CREDENTIALS_STATIC_PASSWORD="allen0424" 
# CONFIG_WIFI_CREDENTIALS_STATIC_TYPE_PSK=y

# CONFIG_WIFI_CREDENTIALS=y

# CONFIG_MQTT_SAMPLE_LED=n
# CONFIG_DK_LIBRARY=n
# CONFIG_MQTT_HELPER_LOG_LEVEL_DBG=y
# CONFIG_WPA_SUPP_LOG_LEVEL_DBG=y 
CONFIG_LOG_MODE_IMMEDIATE=y
# CONFIG_MQTT_SAMPLE_TRANSPORT_BROKER_HOSTNAME="broker.hivemq.com"
# CONFIG_WIFI_FIXED_MAC_ADDRESS="F0:CE:36:00:00:4B"

# General
CONFIG_HW_ID_LIBRARY=y
CONFIG_ASSERT=y

# Logging
CONFIG_LOG=y

# Networking
CONFIG_NETWORKING=y
CONFIG_NET_SOCKETS_OFFLOAD=y
CONFIG_NET_SOCKETS=y
CONFIG_NET_SOCKETS_POSIX_NAMES=y
CONFIG_NET_IPV4=y
CONFIG_NET_TCP=y
CONFIG_NET_NATIVE=y
CONFIG_NET_CONNECTION_MANAGER=y
# CONFIG_WIFI_WPA2_ENTERPRISE=y
CONFIG_WIFI_NM_WPA_SUPPLICANT_EAPOL=y
CONFIG_EAP_TLS=y

CONFIG_WIFI_NM_WPA_SUPPLICANT_LOG_LEVEL_DBG=y
CONFIG_LOG_BUFFER_SIZE=25000